1. One-Click & Scheduled Payments
Español
  • Español
  • English
  • Bienvenidos
  • CARD PRESENT PAYMENTS (API RAW) Copy
    • One-time payments
    • Two-step-payments
    • Voids & Refunds
    • Card information
    • Query Transactions
  • Online Payments
    • Card
      • Bin Info
      • Bin Info V2
      • Request deferred options
      • Request a card token
      • Make a charge or deferred charge
      • Create payment (tokenless)
      • Authorize payments
      • Capture an authorized payment
      • Reauthorize payments
      • Void a transaction
      • Refund a transaction
      • Voucher
      • Validate OTP
      • Verify Account
      • Preauthorization (tokenless)
    • One-Click & Scheduled Payments
      • Request a recurring charge token
        POST
      • Update recurring charge card data
        PUT
      • Cancel a recurring charge
        DELETE
      • Update a recurring charge
        PATCH
      • Get recurring charge Info
        GET
      • Create a recurring charge
        POST
      • Authorize payments
        POST
      • Capture an authorized payment
        POST
      • Add a temporary charge or discount
        PUT
      • Make an One-click payment
        POST
    • Card Async
      • Request a card async token
      • Authorize payments
      • Get Status
      • Capture an authorized payment
      • Init Transaction
    • Async Card Recurring Charges
      • Request an async card recurring charge token
      • Init an async card recurring charge
      • Capture an authorized payment
      • Authorize payments
      • Capture an authorized payment
      • Authorize payments
    • Chargebacks
      • Query chargebacks
      • Request chargeback export
    • Transfer In
      • Get Bank List
      • Init Transaction
      • Request a Transfer In token
      • Get Status
    • Transfer Out
      • Get Bank List
      • Get Bank List V2
      • Request a Transfer Out token
      • Init Transaction
      • Get Status
      • Balance for Payouts
    • Cash In
      • Request a cash in token
      • Init Transaction
      • Transaction Status
    • Smartlinks V2
      • Create a Smartlink
      • Delete a smartlink
      • Get a Smartlink
      • Update a Smartlink
    • Analytics
      • Get transactions list v1
      • Get transactions list v2
    • Gateway Status
      • Get gateway status
    • Payment Credentials
      • Create a credential
      • Search credentials
      • Update credential
      • Regenerate a credential
      • Delete credential
      • Activate or deactivate
      • Advanced search
    • Payment Button
      • Create a payment button
    • Platform Status
    • Subscription Transactions
  • Schemas
    • extraTaxes
    • Amount-cash-in
    • Amount
    • networkToken
    • currency
    • Metadata
    • documentType
    • Subscription
    • webhooks
    • headers
    • ContactDetails
    • Country
    • Language
    • threeDomainSecure
    • binInfo
    • Deferred
    • SubscriptionUpdate
    • SubscriptionAdjustmentRequest
    • transactionType
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴Chile 🇨🇱
  1. One-Click & Scheduled Payments

Update a recurring charge

PATCH
/subscriptions/v1/card/{subscriptionId}
Update the information of an existing recurring charge identified by its subscriptionId. All the body fields are optional, they must be sent if they are meant to be changed.
WARNING
Got a suggestion on this documentation? Contact Us.

Request

Path Params

Header Params

Body Params application/json

Examples

Responses

🟢204
application/json
Body

🟠400
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request PATCH 'https://api-uat.kushkipagos.com/subscriptions/v1/card/' \
--header 'Private-Merchant-Id;' \
--header 'Content-Type: application/json' \
--data-raw '{
    "planName": "Premium",
    "periodicity": "monthly",
    "contactDetails": {
        "firstName": "John",
        "lastName": "Doe",
        "email": "user@example.com",
        "documentType": "RUT",
        "documentNumber": "11111111-1",
        "phoneNumber": "+56912345678"
    },
    "amount": {
        "subtotalIva": 0,
        "subtotalIva0": 10000,
        "ice": 3.5,
        "iva": 0,
        "currency": "CLP"
    },
    "startDate": "2017-01-18",
    "endDate": "2020-01-18",
    "language": "es",
    "retryConfiguration": {
        "retryType": "scheduled",
        "value": [
            10
        ]
    }
}'
Response Response Example
204 - Example 1
null
Modified at 2026-04-16 17:50:48
Previous
Cancel a recurring charge
Next
Get recurring charge Info
Built with